Generate an Access Token.

No Privileges Required

Before making other REST API requests, your REST client must make a
'POST /public/accessToken' request with a valid Cohesity username and
password. This POST request returns an access token and type
in the response that is generated by the Cohesity Cluster.
Subsequent requests to other Cohesity REST API operations must
specify the returned access token and type by setting 'Authorization'
in the http header in the following format:

Authorization: token_type access_token

The generated token is valid for 24 hours. If a request is made with
an expired token, the 'Token expired' error message is returned.
Add code to your REST client to check for this error and request
another access token before reissuing the request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request to generate access token.

Specifies the Cohesity credentials required for generating an access token.

string | null

Specifies the certificate for logging in the cert base auth cluster.

string | null

Specifies the domain the user is logging in to. For a Local user model,
the domain is always LOCAL. For LDAP/AD user models, the domain will map to
an LDAP connection string. A user is uniquely identified by a
combination of username and domain. If this is not set, LOCAL is assumed.

string | null

Specifies OTP code for MFA verification.

string | null
enum

Specifies OTP type for MFA verification.
'Totp' implies the code is TOTP.
'Email' implies the code is email OTP.

Allowed:
string | null

Specifies the password of the Cohesity user account.

string | null

Specifies the matching private key of the above certificate.

string | null

Specifies the login name of the Cohesity user.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json